Author: Andreas Tille <tille@debian.org>
Last-Update: Fri, 15 Jan 2016 10:08:16 +0100
Bug-Debian: https://bugs.debian.org/811002
Description: Fix issue in test suite when using Python 3.5
 See https://lists.debian.org/debian-python/2016/01/msg00060.html

--- a/ruffus/test/test_ruffus_utility.py
+++ b/ruffus/test/test_ruffus_utility.py
@@ -259,7 +259,8 @@ class Test_compile_regex (unittest.TestC
         try:
             compile_regex("Dummy Task", regex(".*)"), Exception, "test1")
         except Exception as e:
-            self.assertEqual(e.args, ('Dummy Task', "test1: regular expression regex('.*)') is malformed\n[sre_constants.error: (unbalanced parenthesis)]"))
+            self.assertEqual(e.args[0], 'Dummy Task')
+            self.assertIn("test1: regular expression regex('.*)') is malformed\n[sre_constants.error: (unbalanced parenthesis", e.args[1])
 
         # bad number of items regex
         self.assertRaises(Exception, compile_regex, "Dummy Task", regex(".*", "o"), Exception, "test1")
